<template>
  <div id="app">
    <router-view/>
  </div>
</template>

<script>
export default {
  name: 'app',
  components: { }
}
</script>

<style lang="scss">
body {
  --brain_main: #30c4c4;
  --brain_secondary: #35495E;
  --dark: #343a40;
  --light: #f7f6f3;
  --card_height: 270px;
}

.bg-brain-secondary {
  background-color: var(--brain_secondary);
}

.bg-brain {
  background-color: var(--brain_main);
}

.center-container {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  height: 100%;
  width: 100%;
}

// Global styles

* {
  box-sizing: border-box;
}

html, body {
  // height: 100%;
  width: 100%;
  padding: 0;
  margin: 0;
  background-color: var(--light);
}

#app {
  font-family: 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

a {
  color: var(--brain_main);

  &:hover {
    color: white;
    text-decoration: none;
  }
}
</style>
